## Copyright (C) 2018 Jens Ahrensfeld
## 
## This program is free software; you can redistribute it and/or modify it
## under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 3 of the License, or
## (at your option) any later version.
## 
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
## 
## You should have received a copy of the GNU General Public License
## along with this program.  If not, see <http://www.gnu.org/licenses/>.

## -*- texinfo -*- 
## @deftypefn {Function File} {@var{retval} =} vanDusen_eval (@var{input1}, @var{input2})
##
## @seealso{}
## @end deftypefn

## Author: Jens Ahrensfeld <ahrensfeld@w2ess001vm>
## Created: 2018-05-28

function T = vanDusen_temp(R)

[Rlut, Tlut] = vanDusen(100, -200, 700, 1.0);

for i=1:length(Rlut)
	if Rlut(i) > R
		break;
	end
end

% Linear interpolation
R0 = Rlut(i-1);
R1 = Rlut(i);
T0 = Tlut(i-1);
T1 = Tlut(i);

dR = R1 - R0;
dT = T1 - T0;

k = (R-R0)/dR;
T = T0 + dT*k;

endfunction
